String missing in the Profile completion sidebar for annotation feedback

Bug #1596809 reported by Dominique-Alain JAN on 2016-06-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Cecilia Vela Gurovic
15.04
Medium
Unassigned
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Cecilia Vela Gurovic

Bug Description

After having set up a new Mahara and configured the Profile completion feature I noticed the following missing string in the Profile completion box :

    Add 3 audio files
    [[progress_annotation/artefact.annotation]] <----
    Comment on 3 other users' pages

Lastest version of Mahara 16.04_STABLE

Changed in mahara:
milestone: 16.04.2 → 16.10.0
status: New → Confirmed
importance: Undecided → Medium
tags: added: bite-sized

To replicate:

1. Turn on the "Annotation" block
2. Set up profile completion for an institution
3. Make sure that at least one annotation feedback is required for the profile completion.
4. Go to Configure site -> User settings -> Turn on profile completion.
5. Take a look at the block on the user's dashboard.

Changed in mahara:
assignee: nobody → Cecilia Vela Gurovic (ceciliavg)

Annotations link in profile completion is not going to the correct place and the number is not changing

summary: - String missing in the Profile completion box
+ Annotation profile completion has errors
Changed in mahara:
status: Confirmed → In Progress

The above bug that I discovered is reported at bug #1619514 and not part of this fix here.

summary: - Annotation profile completion has errors
+ String missing in the Profile completion sidebar for annotation feedback
Changed in mahara:
status: In Progress → Fix Committed
Changed in mahara:
status: Fix Committed → In Progress

Reviewed: https://reviews.mahara.org/6906
Committed: https://git.mahara.org/mahara/mahara/commit/2ce2634a04f38a214571ce591c45390146387051
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2ce2634a04f38a214571ce591c45390146387051
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Aug 31 14:15:45 2016 +1200

Bug 1596809: Added language string
behatnotneeded

Change-Id: I11f216e845aea4e603bbb7b72aa586f498c600fc
Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Robert Lyon (robertl-9) on 2016-09-07
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/6940

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6941

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6942

Reviewed: https://reviews.mahara.org/6939
Committed: https://git.mahara.org/mahara/mahara/commit/f11f422d59f8be3d1ec5bb22fb3e198694efe2ab
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit f11f422d59f8be3d1ec5bb22fb3e198694efe2ab
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Aug 31 14:15:45 2016 +1200

Bug 1596809: Added language string
behatnotneeded

Change-Id: I11f216e845aea4e603bbb7b72aa586f498c600fc
Signed-off-by: Cecilia Vela Gurovic <email address hidden>
(cherry picked from commit 2ce2634a04f38a214571ce591c45390146387051)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6941
Committed: https://git.mahara.org/mahara/mahara/commit/e7f6721a562c91a5e180bfface083fe6d7177d29
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit e7f6721a562c91a5e180bfface083fe6d7177d29
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Aug 31 14:15:45 2016 +1200

Bug 1596809: Added language string
behatnotneeded

Change-Id: I11f216e845aea4e603bbb7b72aa586f498c600fc
Signed-off-by: Cecilia Vela Gurovic <email address hidden>
(cherry picked from commit 2ce2634a04f38a214571ce591c45390146387051)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6942
Committed: https://git.mahara.org/mahara/mahara/commit/7f190a94264aa367b28c78269fb95ea391a9da2a
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 7f190a94264aa367b28c78269fb95ea391a9da2a
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Aug 31 14:15:45 2016 +1200

Bug 1596809: Added language string
behatnotneeded

Change-Id: I11f216e845aea4e603bbb7b72aa586f498c600fc
Signed-off-by: Cecilia Vela Gurovic <email address hidden>
(cherry picked from commit 2ce2634a04f38a214571ce591c45390146387051)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6940
Committed: https://git.mahara.org/mahara/mahara/commit/c9f0b50ab4044b9c8bbffa246e2ced0228712963
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit c9f0b50ab4044b9c8bbffa246e2ced0228712963
Author: Cecilia Vela Gurovic <email address hidden>
Date: Wed Aug 31 14:15:45 2016 +1200

Bug 1596809: Added language string
behatnotneeded

Change-Id: I11f216e845aea4e603bbb7b72aa586f498c600fc
Signed-off-by: Cecilia Vela Gurovic <email address hidden>
(cherry picked from commit 2ce2634a04f38a214571ce591c45390146387051)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers